<?php
/**
* Immo Manager verhuur op jaarbasis
*
*/

/**
* Veiligheid controle ...
*/

define('dArKCMS', true);

/**
* Includes ophalen ...
*/

include($_SERVER['DOCUMENT_ROOT']."/CMS/includes/_darkcmsConfiguratie.php"); 
include($_SERVER['DOCUMENT_ROOT']."/CMS/includes/class.sessieBeheer.php");
include($_SERVER['DOCUMENT_ROOT']."/CMS/includes/_darkcmsCore.php");

include($_SERVER['DOCUMENT_ROOT']."/CMS/modules/mod_PageEdit/includes/_modFunkties.php");


/**
* Taal ophalen ...
*/

$CoreTaal	= strtoupper($_GET['tl']); if ($CoreTaal == ''){$CoreTaal = 'NL';}

if (($CoreTaal != 'NL') && ($CoreTaal != 'FR')){ 
	$CoreTaal = 'NL'; 
}

/**
* CoreTaal ophalen ...
*/

include("../../talen/_core".$CoreTaal.".php");

/**
* Module Taal ophalen ...
*/

include("talen/_modTaal".$CoreTaal.".php");

/**
* Diverse akties gaan uitvoeren ...
*/

switch ($_GET['a']){

	case "logUit" :
		$session->uitloggen();
	break;

}	

/**
 * Gebruiker is ingelogd ...
 */

if($session->checkLogin()){
	
	switch ($_GET['a']){

	case "Opslaan" :
	
		$nTaal	= strtoupper($_GET['nTaal']); if ($nTaal == ''){$nTaal = $CoreTaal;}
	
		if(!get_magic_quotes_gpc()) {
		
			$titel 	= addslashes($_POST['titel']);
			$inhoud	= addslashes($_POST['inhoud']);
			$titel_fr 	= addslashes($_POST['titel_fr']);
			$inhoud_fr	= addslashes($_POST['inhoud_fr']);
						
		} else {
 		
			$titel 	= ($_POST['titel']);
			$inhoud	= ($_POST['inhoud']);
			$titel_fr 	= ($_POST['titel_fr']);
			$inhoud_fr	= ($_POST['inhoud_fr']);
			
 		}
		
		$dbconnect		= mysql_connect (DBhost,DBgebruiker,DBwachtwoord) or die ("Kan niet verbinden: " . mysql_error());
		$dbselect 		= mysql_select_db (DBnaam,$dbconnect);
		
		$SQL = "UPDATE mod_PageEdit SET titel='$titel',
										inhoud='$inhoud',
										titel_fr='$titel_fr',
										inhoud_fr='$inhoud_fr',
										publiceren = '0'";
		
		$result = mysql_query ($SQL) OR DIE(mysql_error());
		mysql_close($dbconnect);
		header ('location: index.php?tl='.$CoreTaal);

	break;

		case "Details" :

		include('includes/_modHeader.php');
		coreGebruikerStats($CoreTaal);
		coreModules (5,$CoreTaal);
		Details();
		echo '</div>';
		include('../../includes/_darkcmsFooter.php');
		
	break;
	
	case "Publiceer" :
			
		$id = $_GET['id'];
		$dbconnect	= mysql_connect (DBhost,DBgebruiker,DBwachtwoord) or die ("Kan niet verbinden: " . mysql_error());
		$dbselect 	= mysql_select_db (DBnaam,$dbconnect);
		$SQL 				= ("SELECT * FROM mod_PageEdit WHERE id='".$id."'");
		$sql_result	= mysql_query($SQL);

		while ($row=mysql_fetch_array ($sql_result)) {  

			if ($row['publiceren']=='1'){ $tmpVar='0'; } else { $tmpVar='1'; }
			$SQL2 = "UPDATE mod_PageEdit SET publiceren=$tmpVar WHERE id=$id";
			$result = mysql_query ($SQL2) OR DIE(mysql_error());	

		}

		mysql_close($dbconnect);
		header("Location: index.php?tl=".$CoreTaal);
	 	
 	break;
 	
 		default :
		
		include('includes/_modHeader.php');
		coreGebruikerStats($CoreTaal);
		coreModules (5,$CoreTaal);
		Overzicht();
		echo '</div>';
		include('../../includes/_darkcmsFooter.php');
	}	
	

/**
 * Gebruiker is NIET ingelogd ...
 */

} else {
	header("Location: ".CORE_Path."index.php");
}

?>